<script src="/vendor/tinymce/tinymce/tinymce.min.js" referrerpolicy="origin"></script>
<script>
	tinymce.init({
		height: 450,
		selector:'textarea'
	});
</script>

<div class="row mx-0 px-0 mb-4" id="person-editation">
	<a href="/seznam-clanku" class="text-decoration-underline">
		<div class="col-12 mt-3 text-center small">
			Back to article list
		</div>
	</a>
	<div class="col-12 mt-4">
		<?= $form->renderStartForm() ?>
			<div class="row">
				<div class="col-12">
					<div class="card">
						<div class="card-header border-bottom">
							<div class="card-title mb-0">
								<div class="row">
									<div class="col-8">
										<h4 class="h5 mb-0">
											<?php echo $article['title'] ?>
										</h4> 
									</div>
									<?php if (isset($article['url'])): ?>
										<div class="col-2 text-right">
											<a href="/<?= $article['url'] ?>">
												<i class="bi bi-eye me-1"></i> Show page
											</a>
										</div>
									<?php endif ?>
									<div class="col-1 text-right">
										<a class="" href="/editor/edit">
											<i class="bi bi-plus-circle"></i>
										</a>
									</div>
									<div class="col-1 text-right">
										<?php if (isset($article['url'])): ?>
											<a class="" href="/editor/delete/<?= $article['url'] ?>">
												<i class="bi bi-trash"></i>
											</a>
										<?php endif ?>
									</div>
								</div>
							</div>
						</div>
						<div class="card-body">
							<div class="form-group mb-2">
	            				<?= $form->renderControls('title') ?>
							</div>
							<div class="form-group mb-2">
								<?= $form->renderControls('content') ?>
							</div>
							<div class="form-group mb-2">
								<?= $form->renderControls('url') ?>
							</div>
							<div class="form-group mb-2">
								<?= $form->renderControls('description') ?>
							</div>

							<div class="form-group mb-2">
								<?= $form->renderControls('keywords') ?>
							</div>
							
							<div id="controller-input" class="form-group mb-2">
								<?= $form->renderControls('controller') ?>
							</div>

							<div class="form-group mb-2">
								<?= $form->renderControls('show_title') ?>
							</div>

							<div class="form-group mb-2">
								<?= $form->renderControls('full_width') ?>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-12">
					<?= $form->renderButtons('submit') ?>
				</div>
			</div>
		<?= $form->renderEndForm() ?>
	</div>
</div>

<script>
	function autocomplete(inp, arr) {
		/*the autocomplete function takes two arguments,
		the text field element and an array of possible autocompleted values:*/
		var currentFocus;

		/*execute a function when someone writes in the text field:*/
		inp.addEventListener("input", function(e) {
			var a, b, i, val = this.value;
			/*close any already open lists of autocompleted values*/
			closeAllLists();
			if (!val) { return false; }
			currentFocus = -1;

			/*create a DIV element that will contain the items (values):*/
			a = document.createElement("div");
			a.setAttribute("id", this.id + "-autocomplete-list");
			a.setAttribute("class", "autocomplete-items");
			/*append the DIV element as a child of the autocomplete container:*/
			this.parentNode.appendChild(a);
		  
		  	/*for each item in the array...*/
		  	for (i = 0; i < arr.length; i++) {
				/*check if the item starts with the same letters as the text field value:*/
				if (arr[i].substr(0, val.length).toUpperCase() == val.toUpperCase()) {
					/*create a DIV element for each matching element:*/
					b = document.createElement("div");
					/*make the matching letters bold:*/
					b.innerHTML = "<strong>" + arr[i].substr(0, val.length) + "</strong>";
					b.innerHTML += arr[i].substr(val.length);
					/*insert a input field that will hold the current array item's value:*/
					b.innerHTML += "<input type='hidden' value='" + arr[i] + "'>";
					/*execute a function when someone clicks on the item value (DIV element):*/
					b.addEventListener("click", function(e) {
					  /*insert the value for the autocomplete text field:*/
					  inp.value = this.getElementsByTagName("input")[0].value;
					  /*close the list of autocompleted values,
					  (or any other open lists of autocompleted values:*/
					  closeAllLists();
					});
					a.appendChild(b);
				}
		  	}
		});

		/*execute a function presses a key on the keyboard:*/
		inp.addEventListener("keydown", function(e) {
			var x = document.getElementById(this.id + "-autocomplete-list");
			if (x) x = x.getElementsByTagName("div");
			if (e.keyCode == 40) {
				/*If the arrow DOWN key is pressed,
				increase the currentFocus variable:*/
				currentFocus++;
				/*and and make the current item more visible:*/
				addActive(x);
			} else if (e.keyCode == 38) { //up
				/*If the arrow UP key is pressed,
				decrease the currentFocus variable:*/
				currentFocus--;
				/*and and make the current item more visible:*/
				addActive(x);
			} else if (e.keyCode == 13) {
				/*If the ENTER key is pressed, prevent the form from being submitted,*/
				e.preventDefault();
				if (currentFocus > -1) {
				  /*and simulate a click on the "active" item:*/
				  if (x) x[currentFocus].click();
				}
			}
		});

		function addActive(x) {
			/*a function to classify an item as "active":*/
			if (!x) return false;
			/*start by removing the "active" class on all items:*/
			removeActive(x);
			if (currentFocus >= x.length) currentFocus = 0;
			if (currentFocus < 0) currentFocus = (x.length - 1);
			/*add class "autocomplete-active":*/
			x[currentFocus].classList.add("autocomplete-active");
		}

		function removeActive(x) {
			/*a function to remove the "active" class from all autocomplete items:*/
			for (var i = 0; i < x.length; i++) {
			  x[i].classList.remove("autocomplete-active");
			}
		}

		function closeAllLists(elmnt) {
			/*close all autocomplete lists in the document,
			except the one passed as an argument:*/
			var x = document.getElementsByClassName("autocomplete-items");
			for (var i = 0; i < x.length; i++) {
				if (elmnt != x[i] && elmnt != inp) {
					x[i].parentNode.removeChild(x[i]);
				}
			}
		}

		/*execute a function when someone clicks in the document:*/
		document.addEventListener("click", function (e) {
		  closeAllLists(e.target);
		});
	}

	var controllerList = <?= json_encode($controllers) ?>;
	autocomplete(document.getElementById("controller"), controllerList);
</script>
